Subject: Re: "dynamic link library /dev/null could not be found"
From: "Scott Collis" <[email-masked]>
To: "Pavel Tsekov" <[email-masked]>, "David Starks-Browning" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 21 Jan 2002 09:29:42 -0600

I am having the same problem.  I switched to 1.3.8 and now when I compile my
in-house code I get the same popup window that David sees referring to
/dev/null

I do not use -lpthread but do use -lm on my link line:

g++ -g  -o dgm.tmp  Domain.o  Element.o  Line.o  Quad.o  Tri.o  Edge.o
Basis.o
 polylib.o  Field.o  Process.o  Mesh.o  Slab.o  Adv_Diff.o  Euler.o
Navier_Stok
es.o  Wave.o  Curve.o  dgm.o  parser.tab.o
lex.yy.o  -L/home/collis/dist/atlas/
 -llapack -lcblas -latlas  -lblas -lg2c -lm -L/usr/local/lib -lrfftw -lfftw

Similar to David, "cygcheck dgm.exe" was

Found: .\dgm.exe
.\dgm.exe
  C:\cygwin\bin\cygwin1.dll
    C:\WINNT\System32\KERNEL32.dll
      C:\WINNT\System32\NTDLL.DLL

but now gives

Found: .\dgm.exe
.\dgm.exe
  C:\cygwin\bin\cygwin1.dll
    C:\WINNT\System32\KERNEL32.dll
      C:\WINNT\System32\NTDLL.DLL
  /dev/null - Cannot open

Unfortaunately for me, unlike David, when I used setup.exe to go back to
cygwin-1.3.6-6 the problem did NOT go away...?

Scott

=====================================================================
Dr. Scott Collis, Asst. Prof.    | Tel:   (713) 348-3617
Dept. of Mechanical Engineering  | Fax:   (713) 348-5423
  and Materials Science - MS 321 |
Rice University                  | Email: [email-masked]
Houston, TX 77005-1892           | http://mems.rice.edu/~collis
=====================================================================

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/